
Redmine - Defect #16132

Unable to complete db migration task in update to r12244

2014-02-19 17:12 - James Byrne

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.4.3

Description

CentOS-5.10

i686

svn info

Path: .

URL: http://redmine.rubyforge.org/svn/trunk

Repository Root: http://redmine.rubyforge.org/svn

Repository UUID: e93f8b46-1217-0410-a6f0-8f06a7374b81

Revision: 12244

Node Kind: directory

Schedule: normal

Last Changed Author: tmaruyama

Last Changed Rev: 12243

Last Changed Date: 2013-10-29 02:24:28 -0400 (Tue, 29 Oct 2013)

 In the process of upgrading from r11085 using svn update and subsequent to running bundle update in the application root directory I

see the following when I run the rake db:migrate task:

[redmine]# bundle exec rake db:migrate RAILS_ENV=production

rake aborted!

no such file to load -- rack/cache/context

/var/data/pas-redmine/rails/ruby/1.8/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:

251:in `require'

History

#1 - 2014-02-20 00:13 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

James Byrne wrote:

/var/data/pas-redmine/rails/ruby/1.8/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:in `require'

 2.4.3 uses Rails 3.2.16.

You need to run "bundle update".

#2 - 2014-02-20 12:01 - James Byrne

- Status changed from Closed to Reopened

As is clearly stated in my original report this problem occurs AFTER I ran bundle update.  Do you have another suggestion?

#3 - 2014-02-20 22:51 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Please use forum for such question.

We cannot support individual environment problem.

Please create issue if you are sure it is Redmine core defect.
